package bll

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IVerifyCode VerifyCode业务逻辑接口
type IVerifyCode interface {

	// Check 检查手机号及验证码的有效性
	Check(ctx context.Context, req schema.VerifyCodeCheck) (bool, error)

	ALiYunSendSms(ctx context.Context, req schema.VerifyCodeRequest) (*schema.VerifyCodeResponse, error)
}
